org.apache.maven.artifact.resolver

## Class DefaultArtifactCollector

- java.lang.Object
- - org.apache.maven.artifact.resolver.DefaultArtifactCollector

All Implemented Interfaces:
  ArtifactCollector

    public class DefaultArtifactCollector
    extends java.lang.Object
    implements ArtifactCollector

Default implementation of the artifact collector.

Version:
  $Id: DefaultArtifactCollector.java 801437 2009-08-05 22:06:54Z jdcasey $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactCollector()`

### Method Summary

Methods
`ArtifactResolutionResult` `collect(java.util.Set artifacts, Artifact originatingArtifact, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter, java.util.List listeners)`
`ArtifactResolutionResult` `collect(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter, java.util.List listeners)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactCollector

    public DefaultArtifactCollector()

### Method Detail

#### collect

    public ArtifactResolutionResult collect(java.util.Set artifacts,
                                   Artifact originatingArtifact,
                                   ArtifactRepository localRepository,
                                   java.util.List remoteRepositories,
                                   ArtifactMetadataSource source,
                                   ArtifactFilter filter,
                                   java.util.List listeners)
                                     throws ArtifactResolutionException

Specified by:
  `collect` in interface `ArtifactCollector`
Throws:
  `ArtifactResolutionException`

#### collect

    public ArtifactResolutionResult collect(java.util.Set artifacts,
                                   Artifact originatingArtifact,
                                   java.util.Map managedVersions,
                                   ArtifactRepository localRepository,
                                   java.util.List remoteRepositories,
                                   ArtifactMetadataSource source,
                                   ArtifactFilter filter,
                                   java.util.List listeners)
                                     throws ArtifactResolutionException

Specified by:
  `collect` in interface `ArtifactCollector`
Throws:
  `ArtifactResolutionException`